package com.mydomain;

import lejos.nxt.LCD;
import lejos.nxt.Motor;

//Stores robot location, and provides functions to get and update the location.
public class Location {

    private float x; //Stores X coordinate of robot
    private float y; //Stores Y coordinate of robot
    private float f; //Stores direction of robot

    //Init new Location.
    public Location(float x, float y, float f){
        //initialiseren
        this.x = x;
        this.y = y;
        this.f = (float) Math.toRadians(f);
    }
    
    //Update robot direction.
    public void updateturn(int degrees){
        f = (float) ((float) (f-Math.toRadians(degrees)) % (2*Math.PI));
    }

    //Update robot x and y coordinate based on its direction.
    public void updatestraight(){
        x += (float)(-Motor.A.getTachoCount()/35)*Math.cos(this.f);
        y += (float)(-Motor.A.getTachoCount()/35)*Math.sin(this.f);
    }

    public float getX(){
        return x;
    }
    public float getY(){
        return y;
    }
    public float getF(){
        return f;
    }
}
